const state = {
    loaded: {
        company: false,
        currencies: false,
        customers: false,
        products: false,
    }
}

const getters = {
    isLoaded(state) {
        return state.loaded.company && state.loaded.currencies && state.loaded.customers && state.loaded.products
    }
}

const mutations = {
    setLoaded(state, payload) {
        state.loaded[payload.module] = true
    }
}

const actions = {
    loaded({ commit }, payload) {
        commit('setLoaded', payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}